跳转到内容
Ask AI

VLAN-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/clear-mac-flapping-status——Y
/config-vlan-group——Y
/delete-vlan-group——Y
/delete-vlan-group-switchports——Y
/interfaces/{name}/vlan-config/{vlan-id}Ymerge, replace, create, delete—
/show-mac-flapping-config——Y
/show-mac-flapping-status——Y
/show-vlan-detail——Y
/show-vlan-summary——Y
/vlans/{vlanid}Ymerge, replace, create, delete—

For VLANIF(SVI) related example, please refer to Module AsterNOS-Interface.

Request example to create vlan via edit-config.

<config><top>
<vlans>
<vlan operation="create">
<vlanid>300</vlanid>
</vlan>
</vlans>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to delete vlan via edit-config.

When user delete vlan, all members under this vlan will be deleted.

<config><top>
<vlans>
<vlan operation="delete">
<vlanid>100</vlanid>
</vlan>
</vlans>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to create vlan member via edit-config.

<config><top>
<interfaces>
<interface>
<name>Ethernet1</name>
<vlan-config operation="create">
<vlan>
<vlan-id>1000</vlan-id>
<tagging-mode>untagged</tagging-mode>
</vlan>
</vlan-config>
</interface>
</interfaces>
<interfaces>
<interface>
<name>Ethernet2</name>
<vlan-config operation="create">
<vlan>
<vlan-id>1000</vlan-id>
<tagging-mode>untagged</tagging-mode>
</vlan>
</vlan-config>
</interface>
</interfaces>
<interfaces>
<interface>
<name>PortChannel0001</name>
<vlan-config operation="create">
<vlan>
<vlan-id>1000</vlan-id>
<tagging-mode>tagged</tagging-mode>
</vlan>
</vlan-config>
</interface>
</interfaces>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to delete vlan member via edit-config.

<config><top>
<interfaces>
<interface>
<name>Ethernet1</name>
<vlan-config operation="delete">
<vlan>
<vlan-id>1000</vlan-id>
</vlan>
</vlan-config>
</interface>
</interfaces>
</top></config>

Request example to set vlan member egress untagged via edit-config.

<config><top>
<interfaces>
<interface>
<name>Ethernet1</name>
<vlan-config operation="merge">
<vlan>
<vlan-id>1000</vlan-id>
<untagged-enable>true</untagged-enable>
</vlan>
</vlan-config>
</interface>
<interface>
<name>PortChannel1</name>
<vlan-config operation="merge">
<vlan>
<vlan-id>1000</vlan-id>
<untagged-enable>true</untagged-enable>
</vlan>
</vlan-config>
</interface>
</interfaces>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to reset vlan member egress untagged via edit-config.

<config><top>
<interfaces>
<interface>
<name>Ethernet1</name>
<vlan-config operation="merge">
<vlan>
<vlan-id>1000</vlan-id>
<untagged-enable>false</untagged-enable>
</vlan>
</vlan-config>
</interface>
<interface>
<name>PortChannel0001</name>
<vlan-config operation="merge">
<vlan>
<vlan-id>1000</vlan-id>
<untagged-enable>false</untagged-enable>
</vlan>
</vlan-config>
</interface>
</interfaces>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to get vlan via get-config.

<filter type="subtree">
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
</vlan>
</vlans>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<mac-limit>10000</mac-limit>
<description>this is a test1</description>
<broadcast-action>flood</broadcast-action>
<unknown-unicast-action>flood</unknown-unicast-action>
<unknown-multicast-action>drop</unknown-multicast-action>
</vlan>
</vlans>
</top>
</data>

Request example to create vlan group via rpc config-vlan-group.

Use rpc to create or merge vlan group.

<config-vlan-group xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan-ranges>400-410</vlan-ranges>
<description>batch by netconf rpc</description>
<mac-limit>99</mac-limit>
<mac-learning>true</mac-learning>
<mac-trigger>true</mac-trigger>
<flapping-detect>true</flapping-detect>
<flapping-action>error-down</flapping-action>
<flapping-aging>1000</flapping-aging>
<flapping-level>99</flapping-level>
<unknown-unicast-action>drop</unknown-unicast-action>
<unknown-multicast-action>flood</unknown-multicast-action>
<broadcast-action>drop</broadcast-action>
<stp-ignored>false</stp-ignored>
</config-vlan-group>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to delete vlan group via rpc delete-vlan-group.

Use rpc to delete vlan group.

<delete-vlan-group xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan-ranges>400-410</vlan-ranges>
</delete-vlan-group>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to delete switchports in vlan group via rpc delete-vlan-group-switchports.

Use rpc to delete switchports by vlan group.

<delete-vlan-group-switchports xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan-ranges>400-410</vlan-ranges>
<switchports>Ethernet1</switchports>
</delete-vlan-group-switchports>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f20f182e-f568-49d0-ad82-aaac24244f74">
<ok/>
</rpc-reply>

Request example to show vlan summary via rpc show-vlan-summary.

Use rpc to show Vlan summary of configuration and status.

<show-vlan-summary/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:43f30268-f755-4ea1-a9fc-cbf379960a6e">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
+-----------+--------------+-----------+----------------+-------------+---------------+-----------------------+
| VLAN ID | IP Address | Ports | Port Tagging | Proxy ARP | Description | DHCP Helper Address |
+===========+==============+===========+================+=============+===============+=======================+
| 100 | | Ethernet1 | tagged | disable | | |
| | | Ethernet2 | tagged | | | |
+-----------+--------------+-----------+----------------+-------------+---------------+-----------------------+
| 102 | | | | disable | | |
+-----------+--------------+-----------+----------------+-------------+---------------+-----------------------+
| 105 | | | | disable | | |
+-----------+--------------+-----------+----------------+-------------+---------------+-----------------------+
| 123 | | | | disable | | |
+-----------+--------------+-----------+----------------+-------------+---------------+-----------------------+
</data>
</rpc-reply>

Request example to show vlan detail via rpc show-vlan-detail.

Use rpc to show vlan detail of the specified vlan id or all.

<show-vlan-detail/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:d1a23528-bd0e-4eca-af2f-5e8f019833c6">
<data>
VLAN ID: 100
Router interface:
Name: Vlan100
Tagged ports: Ethernet1 Ethernet2
Untagged ports:
MAC-learning: enable
</data>
<data>VLAN ID: 102
Router interface:
Name: Vlan102
Tagged ports:
Untagged ports:
MAC-learning: enable
</data>
<data>
VLAN ID: 105
Router interface:
Name: Vlan105
Tagged ports:
Untagged ports:
MAC-learning: enable
</data>
<data>
VLAN ID: 123
Router interface:
Name: Vlan123
Tagged ports:
Untagged ports:
MAC-learning: enable
</data>
</rpc-reply>

Request example to show mac flapping configuration via rpc show-mac-flapping-config.

Use rpc to show MAC flapping configuration of the specified vlan or all.

<show-mac-flapping-config/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:838acb6c-ba6c-4f4e-80ff-ae995710cde2">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<mac-flapping-config>
<vlan-id>100</vlan-id>
<flapping-detect>false</flapping-detect>
</mac-flapping-config>
<mac-flapping-config>
<vlan-id>102</vlan-id>
<flapping-detect>false</flapping-detect>
</mac-flapping-config>
<mac-flapping-config>
<vlan-id>105</vlan-id>
<flapping-detect>false</flapping-detect>
</mac-flapping-config>
<mac-flapping-config>
<vlan-id>123</vlan-id>
<flapping-detect>true</flapping-detect>
<flapping-action>error-down</flapping-action>
<flapping-aging>100</flapping-aging>
<flapping-level>50</flapping-level>
</mac-flapping-config>
</data>
</rpc-reply>

Request example to show mac flapping status via rpc show-mac-flapping-status.

Use rpc to show MAC flapping status of the specified vlan or all.

<show-mac-flapping-status>
<vlan-id>999</vlan-id>
</show-mac-flapping-status>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6f45e7e1-10aa-4aa6-a8a2-aa7beebebec6">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<mac-flapping-status>
<vlan-id>999</vlan-id>
<mac-address>00:00:01:01:02:01</mac-address>
<flapping-times>3</flapping-times>
<last-update>Thu Jul 10 08:37:50 2025</last-update>
<interface-status>No</interface-status>
</mac-flapping-status>
</data>
</rpc-reply>

Request example to clear mac flapping status via rpc clear-mac-flapping-status.

Use rpc to Clear MAC flapping statistics of the specified vlan or all.

<clear-mac-flapping-status/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:08971595-f0fc-4452-997f-f148f01eaf4d">
<result xmlns="http://asterfusion.com/ns/yang/asternos-vlan"/>
</rpc-reply>

Request example to show vlan mac-trigger via get-config.

<filter type="subtree">
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<mac-trigger/>
</vlan>
</vlans>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<vlans xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan>
<vlanid>200</vlanid>
<mac-trigger>true</mac-trigger>
</vlan>
</vlans>
</top>
</data>

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config

Tree Diagram

module: asternos-vlan
+--rw vlans
+--rw vlan* [vlanid]
+--rw vlanid cmn:vlan-id
+--ro name? string
+--rw mac-limit? uint32
+--rw mac-learning? boolean
+--rw mac-trigger? boolean
+--rw description? cmn:description-type
+--rw unknown-unicast-action? vlan-bum-action
+--rw unknown-multicast-action? vlan-bum-action
+--rw broadcast-action? vlan-bum-action
+--rw stp-ignored? boolean
+--rw flapping-detect? boolean
+--rw flapping-action? identityref
+--rw flapping-aging? uint16
+--rw flapping-level? uint16
augment /if:interfaces/if:interface:
+--rw vlan-config

Table of Properties

NameRequiredType/RangeDescription
vlansMPath-only node, has no configurable value.
vlanMPath-only node, has no configurable value.
vlanidOcmn:vlan-idVLAN identity
nameRONone
mac-limitO0..32000Limit the number of dynamic MAC addresses to be learned: when the mac number reaches the threshold, dynamic MAC addresses are no longer learned. 0 means no limit.
mac-learningO”true"
"false”
Set mac-learning mode for vlan, if disable, vlan will not learn mac
Default value: True
mac-triggerO”true"
"false”
Enable/Disable mac-trigger on vlan
descriptionOcmn:description-typeSet textual description of the vlan
unknown-unicast-actionO”flood"
"drop”
Set the unknown unicast packets forwarding action
unknown-multicast-actionO”flood"
"drop”
Set the unknown multicast packets forwarding action
broadcast-actionO”flood"
"drop”
Set the broadcast packets forwarding action
stp-ignoredO”true"
"false”
Ignore STP BPDU. If enabled, the VLAN will not participate in the processing of the STP state machine.
flapping-detectO”true"
"false”
Set mac flapping detection enable
flapping-actionO”error-down"
"none”
Set interface shutdown when mac-flapping is detected
flapping-agingO10..7200Set mac-flapping detection time window in seconds
Default value: 60
flapping-levelO5..500Set mac-flapping detection times
Default value: 10
igmp-mld-snoopingMPath-only node, has no configurable value.
Config the igmp-snooping and mld-snooping of VLAN
igmp-snoopingMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000
mrouterMPath-only node, has no configurable value.
The multicast router of vlan
mrouter-agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.
Default value: 180
mrouter-interfacesMPath-only node, has no configurable value.
mrouter-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
mvlanMPath-only node, has no configurable value.
The multicast vlan config.

When users in different VLANs need to receive multicast data from the same multicast source, the device needs to replicate the data for each VLAN. In this case, you can configure a multicast VLAN by setting the user VLAN as the user VLAN and the router port VLAN as the multicast VLAN. The multicast VLAN will replicate the data to the user VLAN.

IGMP Snooping must be enabled in both the multicast VLAN and the user VLAN.
user-vlansOcmn:vlan-idThe user vlan of snooping.
mld-snoopingMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000
mrouterMPath-only node, has no configurable value.
The multicast router of vlan
mrouter-agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.
Default value: 180
mrouter-interfacesMPath-only node, has no configurable value.
mrouter-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
mvlanMPath-only node, has no configurable value.
The multicast vlan config.

When users in different VLANs need to receive multicast data from the same multicast source, the device needs to replicate the data for each VLAN. In this case, you can configure a multicast VLAN by setting the user VLAN as the user VLAN and the router port VLAN as the multicast VLAN. The multicast VLAN will replicate the data to the user VLAN.

IGMP Snooping must be enabled in both the multicast VLAN and the user VLAN.
user-vlansOcmn:vlan-idThe user vlan of snooping.
group-limitsMPath-only node, has no configurable value.
group-limitMPath-only node, has no configurable value.
The maximum number of multicast groups (igmp-snooping and mld-snooping) that an interface of vlan can learn.

When the maximum number of learning groups for the interface is modified, forwarding groups that exceed the limit will be learned into the IGMP or MLD process memory but will not be programmed to the chip.
interfaceOEthernet nameThe egress L2 port of the multicast group.
max-groupO1..4094The max number of the multicast group on this port of the vlan, default is 4095.

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x clear-mac-flapping-status
+---w input
| +---w vlan-id? union
+--ro output
+--ro result? string

Table of Properties

NameRequiredType/RangeDescription
clear-mac-flapping-statusO
vlan-idO1..4094VLAN ID
Default value: all
resultOstringOperation result

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x config-vlan-group
+---w input
| +---w vlan-ranges? vlan-range
| +---w mac-limit? uint32
| +---w mac-learning? boolean
| +---w mac-trigger? boolean
| +---w description? cmn:description-type
| +---w unknown-unicast-action? vlan-bum-action
| +---w unknown-multicast-action? vlan-bum-action
| +---w broadcast-action? vlan-bum-action
| +---w stp-ignored? boolean
| +---w flapping-detect? boolean
| +---w flapping-action? identityref
| +---w flapping-aging? uint16
| +---w flapping-level? uint16
| +---w igmp-mld-snooping
| | +---w igmp-snooping
| | | +---w snooping
| | | | +---w enable? boolean
| | | | +---w fast-leave? boolean
| | | | +---w proxy-enable? boolean
| | | | +---w querier-enable? boolean
| | | | +---w querier-ip? inet:ip-address
| | | | +---w version? enumeration
| | | | +---w query-interval? uint16
| | | | +---w query-max-response-time? uint16
| | | | +---w robustness? uint8
| | | | +---w last-member-query-interval? uint16
| | | +---w mrouter
| | | | +---w mrouter-aging? uint16
| | | | +---w mrouter-interfaces
| | | | +---w mrouter-interface* [interface]
| | | | +---w interface union
| | | | +---w type? enumeration
| | | +---w mvlan
| | | +---w user-vlans* cmn:vlan-id
| | +---w mld-snooping
| | | +---w snooping
| | | | +---w enable? boolean
| | | | +---w fast-leave? boolean
| | | | +---w proxy-enable? boolean
| | | | +---w querier-enable? boolean
| | | | +---w querier-ip? inet:ip-address
| | | | +---w version? enumeration
| | | | +---w query-interval? uint16
| | | | +---w query-max-response-time? uint16
| | | | +---w robustness? uint8
| | | | +---w last-member-query-interval? uint16
| | | +---w mrouter
| | | | +---w mrouter-aging? uint16
| | | | +---w mrouter-interfaces
| | | | +---w mrouter-interface* [interface]
| | | | +---w interface union
| | | | +---w type? enumeration
| | | +---w mvlan
| | | +---w user-vlans* cmn:vlan-id
| | +---w group-limits
| | +---w group-limit* [interface]
| | +---w interface union
| | +---w max-group? uint16
| +---w interfaces
| | +---w interface* [name]
| | +---w name union
| | +---w status? enumeration
| +---w switchports* union
+--ro output
+--ro result? <anydata>

Table of Properties

NameRequiredType/RangeDescription
config-vlan-groupO
vlan-rangesOType definition representing a range of single-tagged VLANs. A range is specified as x-y where x and y are valid VLAN IDs (1 <= vlan-id <= 4094). The range is assumed to be inclusive, such that any VLAN-ID matching x <= VLAN-ID <= y falls within the range.

If there is more than one range, use the expression x1-y1,x2-y2
Ranges of VLAN IDs, e.g. 100-200,300-400
mac-limitO0..32000Limit the number of dynamic MAC addresses to be learned: when the mac number reaches the threshold, dynamic MAC addresses are no longer learned. 0 means no limit.
mac-learningO”true"
"false”
Set mac-learning mode for vlan, if disable, vlan will not learn mac
Default value: True
mac-triggerO”true"
"false”
Enable/Disable mac-trigger on vlan
descriptionOcmn:description-typeSet textual description of the vlan
unknown-unicast-actionO”flood"
"drop”
Set the unknown unicast packets forwarding action
unknown-multicast-actionO”flood"
"drop”
Set the unknown multicast packets forwarding action
broadcast-actionO”flood"
"drop”
Set the broadcast packets forwarding action
stp-ignoredO”true"
"false”
Ignore STP BPDU. If enabled, the VLAN will not participate in the processing of the STP state machine.
flapping-detectO”true"
"false”
Set mac flapping detection enable
flapping-actionO”error-down"
"none”
Set interface shutdown when mac-flapping is detected
flapping-agingO10..7200Set mac-flapping detection time window in seconds
Default value: 60
flapping-levelO5..500Set mac-flapping detection times
Default value: 10
igmp-mld-snoopingMPath-only node, has no configurable value.
Config the igmp-snooping and mld-snooping of VLAN
igmp-snoopingMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000
mrouterMPath-only node, has no configurable value.
The multicast router of vlan
mrouter-agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.
Default value: 180
mrouter-interfacesMPath-only node, has no configurable value.
mrouter-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
mvlanMPath-only node, has no configurable value.
The multicast vlan config.

When users in different VLANs need to receive multicast data from the same multicast source, the device needs to replicate the data for each VLAN. In this case, you can configure a multicast VLAN by setting the user VLAN as the user VLAN and the router port VLAN as the multicast VLAN. The multicast VLAN will replicate the data to the user VLAN.

IGMP Snooping must be enabled in both the multicast VLAN and the user VLAN.
user-vlansOcmn:vlan-idThe user vlan of snooping.
mld-snoopingMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000
mrouterMPath-only node, has no configurable value.
The multicast router of vlan
mrouter-agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.
Default value: 180
mrouter-interfacesMPath-only node, has no configurable value.
mrouter-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
mvlanMPath-only node, has no configurable value.
The multicast vlan config.

When users in different VLANs need to receive multicast data from the same multicast source, the device needs to replicate the data for each VLAN. In this case, you can configure a multicast VLAN by setting the user VLAN as the user VLAN and the router port VLAN as the multicast VLAN. The multicast VLAN will replicate the data to the user VLAN.

IGMP Snooping must be enabled in both the multicast VLAN and the user VLAN.
user-vlansOcmn:vlan-idThe user vlan of snooping.
group-limitsMPath-only node, has no configurable value.
group-limitMPath-only node, has no configurable value.
The maximum number of multicast groups (igmp-snooping and mld-snooping) that an interface of vlan can learn.

When the maximum number of learning groups for the interface is modified, forwarding groups that exceed the limit will be learned into the IGMP or MLD process memory but will not be programmed to the chip.
interfaceOEthernet nameThe egress L2 port of the multicast group.
max-groupO1..4094The max number of the multicast group on this port of the vlan, default is 4095.
interfacesMPath-only node, has no configurable value.
Interface-specific loopback detection configuration for VLANs
interfaceMPath-only node, has no configurable value.
Interface entry for VLAN loopback configuration
nameOEthernet nameThe name of the interface to be configured for loopback detection.

User can configure loopback detection on Ethernet interfaces and VLAN.

For example, Ethernet1, Ethernet2, Vlan10, Vlan20, etc.
statusO”enable"
"disable”
Enable or disable loopback detection on the interface.

When loopback detection is enabled, the system will periodically send loopback detection packets.

If a loop is detected, the configured action will be applied to the interface.

If this is applied to a VLAN, all ports in the VLAN will be affected: once a port in this VLAN receives a detection packet sending from this vlan’s members, it will trigger the configured action.

If this is applied to an interface, only the specified interface will be affected: only when the interface receives a detection packet sending from itself, it will trigger the configured action.
switchportsOEthernet nameswitchport trunk interface list
resultOFailed operation hints

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x delete-vlan-group
+---w input
| +---w vlan-ranges? vlan-range
+--ro output
+--ro result? <anydata>

Table of Properties

NameRequiredType/RangeDescription
delete-vlan-groupO
vlan-rangesOType definition representing a range of single-tagged VLANs. A range is specified as x-y where x and y are valid VLAN IDs (1 <= vlan-id <= 4094). The range is assumed to be inclusive, such that any VLAN-ID matching x <= VLAN-ID <= y falls within the range.

If there is more than one range, use the expression x1-y1,x2-y2
Ranges of VLAN IDs, e.g. 100-200,300-400
resultOFailed operation hints

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x delete-vlan-group-switchports
+---w input
| +---w vlan-ranges? vlan-range
| +---w switchports* union
+--ro output
+--ro result? <anydata>

Table of Properties

NameRequiredType/RangeDescription
delete-vlan-group-switchportsO
vlan-rangesOType definition representing a range of single-tagged VLANs. A range is specified as x-y where x and y are valid VLAN IDs (1 <= vlan-id <= 4094). The range is assumed to be inclusive, such that any VLAN-ID matching x <= VLAN-ID <= y falls within the range.

If there is more than one range, use the expression x1-y1,x2-y2
Ranges of VLAN IDs, e.g. 100-200,300-400
switchportsOEthernet nameswitchport trunk interface list
resultOFailed operation hints

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x show-mac-flapping-config
+---w input
| +---w vlan-id? union
+--ro output
+--ro data
+--ro mac-flapping-config* [vlan-id]
+--ro vlan-id cmn:vlan-id
+--ro flapping-detect? boolean
+--ro flapping-action? identityref
+--ro flapping-aging? uint16
+--ro flapping-level? uint16

Table of Properties

NameRequiredType/RangeDescription
show-mac-flapping-configO
vlan-idO1..4094VLAN ID
Default value: all
dataMPath-only node, has no configurable value.
mac-flapping-configMPath-only node, has no configurable value.
MAC flapping configuration list
vlan-idOcmn:vlan-idVLAN ID
flapping-detectO”true"
"false”
Set mac flapping detection enable
flapping-actionO”error-down"
"none”
Set interface shutdown when mac-flapping is detected
flapping-agingO10..7200Set mac-flapping detection time window in seconds
Default value: 60
flapping-levelO5..500Set mac-flapping detection times
Default value: 10

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x show-mac-flapping-status
+---w input
| +---w vlan-id? union
+--ro output
+--ro data
+--ro mac-flapping-status* [vlan-id]
+--ro vlan-id cmn:vlan-id
+--ro mac-address? string
+--ro flapping-times? uint16
+--ro last-update? string
+--ro interface-status? string

Table of Properties

NameRequiredType/RangeDescription
show-mac-flapping-statusO
vlan-idO1..4094VLAN ID
Default value: all
dataMPath-only node, has no configurable value.
mac-flapping-statusMPath-only node, has no configurable value.
MAC flapping status list
vlan-idOcmn:vlan-idVLAN ID
mac-addressOstringShow Migrated MAC addresses when MAC flapping.
flapping-timesOintegerShow number of migrations for a MAC address.
last-updateOstringShow time info of last migration.
interface-statusOstringShow interface status(whether the interface is shut down).

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x show-vlan-detail
+---w input
| +---w vlan-id? union
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vlan-detailO
vlan-idO1..4094VLAN ID
Default value: all
dataOA text that shows information of the specified vlan or all.

Tree Diagram

module: asternos-vlan
augment /if:interfaces/if:interface:
+--rw vlan-config
rpcs:
+---x show-vlan-summary
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vlan-summaryO
dataOA table that shows information of all vlans